[ROR] windows RubyMine - Ruby SDK and Gems(new remote WSL) 설정 관련 질문입니다!


  • Level 3

    기존에 visual code로 wsl 사용중이였는데 js.erb 파일에서 javascript 코드 인식이 안되어 RubyMine으로 갈아탈까 해서 설정중인데,

    아래와 같이 'new remote'를 눌러 wsl의 ruby 경로를 입력했으나
    "Could not get RubyGems environment for Remote: ruby-2.4.2-p198: ver.2.4.2p198 ..." 라는 에러가 발생하여 WSL에 연결이 안되는 상황입니다 ㅜㅜ ..

    이 작업 이전에 환경 설정을 바꿔야 하거나, 경로를 잘못 입력했거나, 루비 버전이 안맞는 경우 또는 이외의 원인이 있을 수 있다면 알려주시면 감사하겠습니다..

    루비마인설정.png

    #vscode에서 js.erb를 인식해서 사용할 수 있다면 좋겠는데 구글링을 잘못한건지 javascript 코드 인식은 안되는거같네요 .. (bundler --version '1.16.6' 으로 사용시 vscode extension "Rails" 버전이 안맞음..)

    #window 개발시 aws와 구름을 사용하지 않을 때 로컬에서 더 좋은 에디터가 있을지 궁금합니다 ㅜㅜ

  • Level 3

    @원노
    정말 감사합니다!
    해당 게시글을 이전에 한번 구글링중에 찾았어서 따라했었는데

    아래 화면에서 'Ruby or version manager path'에 ruby 경로를 입력했어서 발생한 오류였습니다.
    현재는 rbenv 경로 입력후 sdk까지 설치 완료했구요!
    alt text

    이 다음 문제는 위와 같이 설정한 remote sdk를 이용할 remote project를 open하는건데...
    https://www.tuwlab.com/ece/29302 이쪽 게시글에서 나온 이유가 맞는지 wsl프로젝트를 원격으로 연결하는 부분부터 막히네요..

    ssh 재설정 해보고 다시 시도해봐야겠습니다.

  • DevelUP HQ
    Level 10

    @조혁균
    ㅠㅠㅠ windows를 안 쓴지 너무 오래 되서 저는 확인을 못하지만

    https://www.jetbrains.com/help/ruby/configuring-remote-interpreters-using-wsl.html

    이런 내용을 찾았습니다!

    한 번 해보세요!! 화이팅ㅇ

ONLINE USERS

POPULAR TOPICS

SUGGESTED TOPICS